summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author David O'Shaughnessy <dev@osh.id.au>2018-03-02 23:49:16 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2018-03-02 23:49:16 +0700
commit23f1419d9f53688e1fd6c9b7feb862273b82a6d3 (patch)
tree457d09a7ac3396f8728ff50bbaf492041c63541a
parent91e6fc8f964a198cbdd10c61d88c0a5abc4eea34 (diff)
downloadslackbuilds-23f1419d9f53688e1fd6c9b7feb862273b82a6d3.tar.gz
slackbuilds-23f1419d9f53688e1fd6c9b7feb862273b82a6d3.tar.xz
network/signal-desktop: Added (Signal for Desktop).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--network/signal-desktop/README9
-rw-r--r--network/signal-desktop/doinst.sh9
-rw-r--r--network/signal-desktop/signal-desktop.SlackBuild73
-rw-r--r--network/signal-desktop/signal-desktop.info10
-rw-r--r--network/signal-desktop/slack-desc19
5 files changed, 120 insertions, 0 deletions
diff --git a/network/signal-desktop/README b/network/signal-desktop/README
new file mode 100644
index 0000000000..cd6c091f82
--- /dev/null
+++ b/network/signal-desktop/README
@@ -0,0 +1,9 @@
+signal-desktop (Signal for Desktop)
+
+Signal is an encrypted instant messaging and voice calling application
+for Android, iOS, and the desktop. It uses the Internet to send
+one-to-one and group messages, which can include images and video
+messages, and make one-to-one voice/video calls.
+
+This is a repackaging of the official binary .deb file distributed by
+Open Whipser Systems.
diff --git a/network/signal-desktop/doinst.sh b/network/signal-desktop/doinst.sh
new file mode 100644
index 0000000000..65c7e2eeb9
--- /dev/null
+++ b/network/signal-desktop/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache -f usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/network/signal-desktop/signal-desktop.SlackBuild b/network/signal-desktop/signal-desktop.SlackBuild
new file mode 100644
index 0000000000..a61bd18a3c
--- /dev/null
+++ b/network/signal-desktop/signal-desktop.SlackBuild
@@ -0,0 +1,73 @@
+#!/bin/sh
+
+# Slackware build script for signal-desktop
+
+# Copyright 2018 David O'Shaughnessy
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=signal-desktop
+VERSION=${VERSION:-1.5.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+# Upstream only has binary support for x86_64 at present.
+if [ "$ARCH" = "x86_64" ]; then
+ DEBARCH="amd64"
+else
+ echo "Sorry, the Signal binary is currently available for x86_64 only."
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $PKG
+ar p $CWD/${PRGNAM}_${VERSION}_$DEBARCH.deb data.tar.xz | tar xJv
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+# create soft link for launcher
+mkdir -p $PKG/usr/bin
+ln -sf /opt/Signal/$PRGNAM $PKG/usr/bin/$PRGNAM
+
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/share/doc/$PRGNAM/$PRGNAM.SlackBuild
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/network/signal-desktop/signal-desktop.info b/network/signal-desktop/signal-desktop.info
new file mode 100644
index 0000000000..cf8c7b6200
--- /dev/null
+++ b/network/signal-desktop/signal-desktop.info
@@ -0,0 +1,10 @@
+PRGNAM="signal-desktop"
+VERSION="1.5.2"
+HOMEPAGE="https://signal.org/"
+DOWNLOAD="UNSUPPORTED"
+MD5SUM=""
+DOWNLOAD_x86_64="https://updates.signal.org/desktop/apt/pool/main/s/signal-desktop/signal-desktop_1.5.2_amd64.deb"
+MD5SUM_x86_64="aed1c9c01f6d75052d94ca11d82cd55c"
+REQUIRES=""
+MAINTAINER="David O'Shaughnessy"
+EMAIL="dev@osh.id.au"
diff --git a/network/signal-desktop/slack-desc b/network/signal-desktop/slack-desc
new file mode 100644
index 0000000000..008ccaf698
--- /dev/null
+++ b/network/signal-desktop/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+signal-desktop: signal-desktop (Signal for Desktop)
+signal-desktop:
+signal-desktop: Signal is an encrypted instant messaging and voice calling
+signal-desktop: application for Android, iOS, and the desktop. It uses the Internet
+signal-desktop: to send one-to-one and group messages, which can include images
+signal-desktop: and video messages, and make one-to-one voice/video calls.
+signal-desktop:
+signal-desktop: This is a repackaging of the official binary .deb file
+signal-desktop: distributed by Open Whipser Systems.
+signal-desktop:
+signal-desktop: